function candidateSet = predict_detector(period_data,detector)

preds = [];
num_osvm = size(detector,1);
for i=1:size(period_data,1)
    cur_data = period_data(i,:);

    pred_ele = []; 
    for k=1:num_osvm
        cur_osvm = detector{k,1};
        [prediction,~,outputs] = libsvmpredict(1*ones(1,1),cur_data,cur_osvm);
        pred_ele = [pred_ele,prediction];
    end
    preds = [preds;pred_ele];
end

preds = (preds==1);
col_nlb = (sum(preds,2)==0);
preds = [preds,col_nlb];
candidateSet = preds'; 

end